org.apache.ignite.internal.client

## Class GridClientHandshakeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.client.GridClientException
      - - org.apache.ignite.internal.client.GridClientHandshakeException

All Implemented Interfaces:
  Serializable

    public class GridClientHandshakeException
    extends GridClientException

This exception is thrown when a client handshake has failed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientHandshakeException(byte statusCode, String msg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `getStatusCode()`

### Methods inherited from class org.apache.ignite.internal.client.GridClientException

`hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientHandshakeException

    public GridClientHandshakeException(byte statusCode,
                                        String msg)

Constructor.

Parameters:
  `statusCode` - Error status code.
  `msg` - Error message.

### Method Detail

#### getStatusCode

    public byte getStatusCode()

Returns:
  Error status code.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018